MONGOC_APM_SET_COMMAND_FAILED_CB(3)

NAME
mongoc_apm_set_command_failed_cb - mongoc_apm_set_command_failed_cb()

SYNOPSIS

typedef void (*mongoc_apm_command_failed_cb_t) (
   const mongoc_apm_command_failed_t *event);
void
mongoc_apm_set_command_failed_cb (mongoc_apm_callbacks_t *callbacks,
                                  mongoc_apm_command_failed_cb_t cb);

Receive an event notification whenever the driver fails to execute a MongoDB operation.

PARAMETERS

•   callbacks: A mongoc_apm_callbacks_t.

•   cb: A function to call with a mongoc_apm_command_failed_t whenever a MongoDB operation fails.

    SEE ALSO:
    Introduction to Application Performance Monitoring

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc